Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util.log.util
Class JettyLog

    java.lang.Object
      org.jivesoftware.util.log.util.JettyLog

All Implemented Interfaces:
  org.eclipse.jetty.util.log.Logger

    public class JettyLog

extends Object
implements org.eclipse.jetty.util.log.Logger

A Logger implementation to override the default Jetty logging behavior. All log statements are written to the Openfire logs. Info level logging is sent to debug.

Constructor Summary
`JettyLog()`

Method Summary
`void` | `debug(String string)`
`void` | `debug(String string, Object object, Object object1)`
`void` | `debug(String string, Throwable throwable)`
`org.eclipse.jetty.util.log.Logger` | `getLogger(String string)`
`String` | `getName()`
`void` | `info(String string)`
`void` | `info(String string, Object object, Object object1)`
`boolean` | `isDebugEnabled()`
`void` | `setDebugEnabled(boolean b)`
`void` | `warn(String string)`
`void` | `warn(String string, Object object, Object object1)`
`void` | `warn(String string, Throwable throwable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JettyLog

    public JettyLog()

Method Detail

### isDebugEnabled

    public boolean isDebugEnabled()

  Specified by:
    `isDebugEnabled` in interface `org.eclipse.jetty.util.log.Logger`

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.eclipse.jetty.util.log.Logger`

### setDebugEnabled

    public void setDebugEnabled(boolean b)

  Specified by:
    `setDebugEnabled` in interface `org.eclipse.jetty.util.log.Logger`

### info

    public void info(String string)

  Specified by:
    `info` in interface `org.eclipse.jetty.util.log.Logger`

### info

    public void info(String string,
                     Object object,
                     Object object1)

  Specified by:
    `info` in interface `org.eclipse.jetty.util.log.Logger`

### debug

    public void debug(String string)

  Specified by:
    `debug` in interface `org.eclipse.jetty.util.log.Logger`

### debug

    public void debug(String string,
                      Throwable throwable)

  Specified by:
    `debug` in interface `org.eclipse.jetty.util.log.Logger`

### debug

    public void debug(String string,
                      Object object,
                      Object object1)

  Specified by:
    `debug` in interface `org.eclipse.jetty.util.log.Logger`

### warn

    public void warn(String string)

  Specified by:
    `warn` in interface `org.eclipse.jetty.util.log.Logger`

### warn

    public void warn(String string,
                     Object object,
                     Object object1)

  Specified by:
    `warn` in interface `org.eclipse.jetty.util.log.Logger`

### warn

    public void warn(String string,
                     Throwable throwable)

  Specified by:
    `warn` in interface `org.eclipse.jetty.util.log.Logger`

### getLogger

    public org.eclipse.jetty.util.log.Logger getLogger(String string)

  Specified by:
    `getLogger` in interface `org.eclipse.jetty.util.log.Logger`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.